IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network52.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
- Network address
52.0.0.0- Broadcast address
55.255.255.255- First usable
52.0.0.1- Last usable
55.255.255.254- Usable hosts
- 67,108,862 (67,108,864 less the network and broadcast addresses)
- Subnet mask
252.0.0.0- Wildcard mask
3.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /6
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
34000000· Integer872415232to939524095 - Reverse DNS zones
52.in-addr.arpa53.in-addr.arpa54.in-addr.arpa55.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110100.00000000.00000000.00000000 | 52.0.0.0 |
| Subnet mask | 11111100.00000000.00000000.00000000 | 252.0.0.0 |
| Network | 00110100.00000000.00000000.00000000 | 52.0.0.0 |
| Broadcast | 00110111.11111111.11111111.11111111 | 55.255.255.255 |
Split into smaller subnets
/7 (2)/8 (4)/9 (8)/10 (16)/11 (32)/12 (64)/13 (128)/14 (256)/15 (512)/16 (1,024)/17 (2,048)/18 (4,096)
52.0.0.0/6 makes 256 subnets of /14.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 52.0.0.0/14 | 52.0.0.1 to 52.3.255.254 | 52.3.255.255 | 262,142 |
| 2 | 52.4.0.0/14 | 52.4.0.1 to 52.7.255.254 | 52.7.255.255 | 262,142 |
| 3 | 52.8.0.0/14 | 52.8.0.1 to 52.11.255.254 | 52.11.255.255 | 262,142 |
| 4 | 52.12.0.0/14 | 52.12.0.1 to 52.15.255.254 | 52.15.255.255 | 262,142 |
| 5 | 52.16.0.0/14 | 52.16.0.1 to 52.19.255.254 | 52.19.255.255 | 262,142 |
| 6 | 52.20.0.0/14 | 52.20.0.1 to 52.23.255.254 | 52.23.255.255 | 262,142 |
| 7 | 52.24.0.0/14 | 52.24.0.1 to 52.27.255.254 | 52.27.255.255 | 262,142 |
| 8 | 52.28.0.0/14 | 52.28.0.1 to 52.31.255.254 | 52.31.255.255 | 262,142 |
| 9 | 52.32.0.0/14 | 52.32.0.1 to 52.35.255.254 | 52.35.255.255 | 262,142 |
| 10 | 52.36.0.0/14 | 52.36.0.1 to 52.39.255.254 | 52.39.255.255 | 262,142 |
| 11 | 52.40.0.0/14 | 52.40.0.1 to 52.43.255.254 | 52.43.255.255 | 262,142 |
| 12 | 52.44.0.0/14 | 52.44.0.1 to 52.47.255.254 | 52.47.255.255 | 262,142 |
| 13 | 52.48.0.0/14 | 52.48.0.1 to 52.51.255.254 | 52.51.255.255 | 262,142 |
| 14 | 52.52.0.0/14 | 52.52.0.1 to 52.55.255.254 | 52.55.255.255 | 262,142 |
| 15 | 52.56.0.0/14 | 52.56.0.1 to 52.59.255.254 | 52.59.255.255 | 262,142 |
| 16 | 52.60.0.0/14 | 52.60.0.1 to 52.63.255.254 | 52.63.255.255 | 262,142 |
| 17 | 52.64.0.0/14 | 52.64.0.1 to 52.67.255.254 | 52.67.255.255 | 262,142 |
| 18 | 52.68.0.0/14 | 52.68.0.1 to 52.71.255.254 | 52.71.255.255 | 262,142 |
| 19 | 52.72.0.0/14 | 52.72.0.1 to 52.75.255.254 | 52.75.255.255 | 262,142 |
| 20 | 52.76.0.0/14 | 52.76.0.1 to 52.79.255.254 | 52.79.255.255 | 262,142 |
| 21 | 52.80.0.0/14 | 52.80.0.1 to 52.83.255.254 | 52.83.255.255 | 262,142 |
| 22 | 52.84.0.0/14 | 52.84.0.1 to 52.87.255.254 | 52.87.255.255 | 262,142 |
| 23 | 52.88.0.0/14 | 52.88.0.1 to 52.91.255.254 | 52.91.255.255 | 262,142 |
| 24 | 52.92.0.0/14 | 52.92.0.1 to 52.95.255.254 | 52.95.255.255 | 262,142 |
| 25 | 52.96.0.0/14 | 52.96.0.1 to 52.99.255.254 | 52.99.255.255 | 262,142 |
| 26 | 52.100.0.0/14 | 52.100.0.1 to 52.103.255.254 | 52.103.255.255 | 262,142 |
| 27 | 52.104.0.0/14 | 52.104.0.1 to 52.107.255.254 | 52.107.255.255 | 262,142 |
| 28 | 52.108.0.0/14 | 52.108.0.1 to 52.111.255.254 | 52.111.255.255 | 262,142 |
| 29 | 52.112.0.0/14 | 52.112.0.1 to 52.115.255.254 | 52.115.255.255 | 262,142 |
| 30 | 52.116.0.0/14 | 52.116.0.1 to 52.119.255.254 | 52.119.255.255 | 262,142 |
| 31 | 52.120.0.0/14 | 52.120.0.1 to 52.123.255.254 | 52.123.255.255 | 262,142 |
| 32 | 52.124.0.0/14 | 52.124.0.1 to 52.127.255.254 | 52.127.255.255 | 262,142 |
| 33 | 52.128.0.0/14 | 52.128.0.1 to 52.131.255.254 | 52.131.255.255 | 262,142 |
| 34 | 52.132.0.0/14 | 52.132.0.1 to 52.135.255.254 | 52.135.255.255 | 262,142 |
| 35 | 52.136.0.0/14 | 52.136.0.1 to 52.139.255.254 | 52.139.255.255 | 262,142 |
| 36 | 52.140.0.0/14 | 52.140.0.1 to 52.143.255.254 | 52.143.255.255 | 262,142 |
| 37 | 52.144.0.0/14 | 52.144.0.1 to 52.147.255.254 | 52.147.255.255 | 262,142 |
| 38 | 52.148.0.0/14 | 52.148.0.1 to 52.151.255.254 | 52.151.255.255 | 262,142 |
| 39 | 52.152.0.0/14 | 52.152.0.1 to 52.155.255.254 | 52.155.255.255 | 262,142 |
| 40 | 52.156.0.0/14 | 52.156.0.1 to 52.159.255.254 | 52.159.255.255 | 262,142 |
| 41 | 52.160.0.0/14 | 52.160.0.1 to 52.163.255.254 | 52.163.255.255 | 262,142 |
| 42 | 52.164.0.0/14 | 52.164.0.1 to 52.167.255.254 | 52.167.255.255 | 262,142 |
| 43 | 52.168.0.0/14 | 52.168.0.1 to 52.171.255.254 | 52.171.255.255 | 262,142 |
| 44 | 52.172.0.0/14 | 52.172.0.1 to 52.175.255.254 | 52.175.255.255 | 262,142 |
| 45 | 52.176.0.0/14 | 52.176.0.1 to 52.179.255.254 | 52.179.255.255 | 262,142 |
| 46 | 52.180.0.0/14 | 52.180.0.1 to 52.183.255.254 | 52.183.255.255 | 262,142 |
| 47 | 52.184.0.0/14 | 52.184.0.1 to 52.187.255.254 | 52.187.255.255 | 262,142 |
| 48 | 52.188.0.0/14 | 52.188.0.1 to 52.191.255.254 | 52.191.255.255 | 262,142 |
| 49 | 52.192.0.0/14 | 52.192.0.1 to 52.195.255.254 | 52.195.255.255 | 262,142 |
| 50 | 52.196.0.0/14 | 52.196.0.1 to 52.199.255.254 | 52.199.255.255 | 262,142 |
| 51 | 52.200.0.0/14 | 52.200.0.1 to 52.203.255.254 | 52.203.255.255 | 262,142 |
| 52 | 52.204.0.0/14 | 52.204.0.1 to 52.207.255.254 | 52.207.255.255 | 262,142 |
| 53 | 52.208.0.0/14 | 52.208.0.1 to 52.211.255.254 | 52.211.255.255 | 262,142 |
| 54 | 52.212.0.0/14 | 52.212.0.1 to 52.215.255.254 | 52.215.255.255 | 262,142 |
| 55 | 52.216.0.0/14 | 52.216.0.1 to 52.219.255.254 | 52.219.255.255 | 262,142 |
| 56 | 52.220.0.0/14 | 52.220.0.1 to 52.223.255.254 | 52.223.255.255 | 262,142 |
| 57 | 52.224.0.0/14 | 52.224.0.1 to 52.227.255.254 | 52.227.255.255 | 262,142 |
| 58 | 52.228.0.0/14 | 52.228.0.1 to 52.231.255.254 | 52.231.255.255 | 262,142 |
| 59 | 52.232.0.0/14 | 52.232.0.1 to 52.235.255.254 | 52.235.255.255 | 262,142 |
| 60 | 52.236.0.0/14 | 52.236.0.1 to 52.239.255.254 | 52.239.255.255 | 262,142 |
| 61 | 52.240.0.0/14 | 52.240.0.1 to 52.243.255.254 | 52.243.255.255 | 262,142 |
| 62 | 52.244.0.0/14 | 52.244.0.1 to 52.247.255.254 | 52.247.255.255 | 262,142 |
| 63 | 52.248.0.0/14 | 52.248.0.1 to 52.251.255.254 | 52.251.255.255 | 262,142 |
| 64 | 52.252.0.0/14 | 52.252.0.1 to 52.255.255.254 | 52.255.255.255 | 262,142 |
| 65 | 53.0.0.0/14 | 53.0.0.1 to 53.3.255.254 | 53.3.255.255 | 262,142 |
| 66 | 53.4.0.0/14 | 53.4.0.1 to 53.7.255.254 | 53.7.255.255 | 262,142 |
| 67 | 53.8.0.0/14 | 53.8.0.1 to 53.11.255.254 | 53.11.255.255 | 262,142 |
| 68 | 53.12.0.0/14 | 53.12.0.1 to 53.15.255.254 | 53.15.255.255 | 262,142 |
| 69 | 53.16.0.0/14 | 53.16.0.1 to 53.19.255.254 | 53.19.255.255 | 262,142 |
| 70 | 53.20.0.0/14 | 53.20.0.1 to 53.23.255.254 | 53.23.255.255 | 262,142 |
| 71 | 53.24.0.0/14 | 53.24.0.1 to 53.27.255.254 | 53.27.255.255 | 262,142 |
| 72 | 53.28.0.0/14 | 53.28.0.1 to 53.31.255.254 | 53.31.255.255 | 262,142 |
| 73 | 53.32.0.0/14 | 53.32.0.1 to 53.35.255.254 | 53.35.255.255 | 262,142 |
| 74 | 53.36.0.0/14 | 53.36.0.1 to 53.39.255.254 | 53.39.255.255 | 262,142 |
| 75 | 53.40.0.0/14 | 53.40.0.1 to 53.43.255.254 | 53.43.255.255 | 262,142 |
| 76 | 53.44.0.0/14 | 53.44.0.1 to 53.47.255.254 | 53.47.255.255 | 262,142 |
| 77 | 53.48.0.0/14 | 53.48.0.1 to 53.51.255.254 | 53.51.255.255 | 262,142 |
| 78 | 53.52.0.0/14 | 53.52.0.1 to 53.55.255.254 | 53.55.255.255 | 262,142 |
| 79 | 53.56.0.0/14 | 53.56.0.1 to 53.59.255.254 | 53.59.255.255 | 262,142 |
| 80 | 53.60.0.0/14 | 53.60.0.1 to 53.63.255.254 | 53.63.255.255 | 262,142 |
| 81 | 53.64.0.0/14 | 53.64.0.1 to 53.67.255.254 | 53.67.255.255 | 262,142 |
| 82 | 53.68.0.0/14 | 53.68.0.1 to 53.71.255.254 | 53.71.255.255 | 262,142 |
| 83 | 53.72.0.0/14 | 53.72.0.1 to 53.75.255.254 | 53.75.255.255 | 262,142 |
| 84 | 53.76.0.0/14 | 53.76.0.1 to 53.79.255.254 | 53.79.255.255 | 262,142 |
| 85 | 53.80.0.0/14 | 53.80.0.1 to 53.83.255.254 | 53.83.255.255 | 262,142 |
| 86 | 53.84.0.0/14 | 53.84.0.1 to 53.87.255.254 | 53.87.255.255 | 262,142 |
| 87 | 53.88.0.0/14 | 53.88.0.1 to 53.91.255.254 | 53.91.255.255 | 262,142 |
| 88 | 53.92.0.0/14 | 53.92.0.1 to 53.95.255.254 | 53.95.255.255 | 262,142 |
| 89 | 53.96.0.0/14 | 53.96.0.1 to 53.99.255.254 | 53.99.255.255 | 262,142 |
| 90 | 53.100.0.0/14 | 53.100.0.1 to 53.103.255.254 | 53.103.255.255 | 262,142 |
| 91 | 53.104.0.0/14 | 53.104.0.1 to 53.107.255.254 | 53.107.255.255 | 262,142 |
| 92 | 53.108.0.0/14 | 53.108.0.1 to 53.111.255.254 | 53.111.255.255 | 262,142 |
| 93 | 53.112.0.0/14 | 53.112.0.1 to 53.115.255.254 | 53.115.255.255 | 262,142 |
| 94 | 53.116.0.0/14 | 53.116.0.1 to 53.119.255.254 | 53.119.255.255 | 262,142 |
| 95 | 53.120.0.0/14 | 53.120.0.1 to 53.123.255.254 | 53.123.255.255 | 262,142 |
| 96 | 53.124.0.0/14 | 53.124.0.1 to 53.127.255.254 | 53.127.255.255 | 262,142 |
| 97 | 53.128.0.0/14 | 53.128.0.1 to 53.131.255.254 | 53.131.255.255 | 262,142 |
| 98 | 53.132.0.0/14 | 53.132.0.1 to 53.135.255.254 | 53.135.255.255 | 262,142 |
| 99 | 53.136.0.0/14 | 53.136.0.1 to 53.139.255.254 | 53.139.255.255 | 262,142 |
| 100 | 53.140.0.0/14 | 53.140.0.1 to 53.143.255.254 | 53.143.255.255 | 262,142 |
| 101 | 53.144.0.0/14 | 53.144.0.1 to 53.147.255.254 | 53.147.255.255 | 262,142 |
| 102 | 53.148.0.0/14 | 53.148.0.1 to 53.151.255.254 | 53.151.255.255 | 262,142 |
| 103 | 53.152.0.0/14 | 53.152.0.1 to 53.155.255.254 | 53.155.255.255 | 262,142 |
| 104 | 53.156.0.0/14 | 53.156.0.1 to 53.159.255.254 | 53.159.255.255 | 262,142 |
| 105 | 53.160.0.0/14 | 53.160.0.1 to 53.163.255.254 | 53.163.255.255 | 262,142 |
| 106 | 53.164.0.0/14 | 53.164.0.1 to 53.167.255.254 | 53.167.255.255 | 262,142 |
| 107 | 53.168.0.0/14 | 53.168.0.1 to 53.171.255.254 | 53.171.255.255 | 262,142 |
| 108 | 53.172.0.0/14 | 53.172.0.1 to 53.175.255.254 | 53.175.255.255 | 262,142 |
| 109 | 53.176.0.0/14 | 53.176.0.1 to 53.179.255.254 | 53.179.255.255 | 262,142 |
| 110 | 53.180.0.0/14 | 53.180.0.1 to 53.183.255.254 | 53.183.255.255 | 262,142 |
| 111 | 53.184.0.0/14 | 53.184.0.1 to 53.187.255.254 | 53.187.255.255 | 262,142 |
| 112 | 53.188.0.0/14 | 53.188.0.1 to 53.191.255.254 | 53.191.255.255 | 262,142 |
| 113 | 53.192.0.0/14 | 53.192.0.1 to 53.195.255.254 | 53.195.255.255 | 262,142 |
| 114 | 53.196.0.0/14 | 53.196.0.1 to 53.199.255.254 | 53.199.255.255 | 262,142 |
| 115 | 53.200.0.0/14 | 53.200.0.1 to 53.203.255.254 | 53.203.255.255 | 262,142 |
| 116 | 53.204.0.0/14 | 53.204.0.1 to 53.207.255.254 | 53.207.255.255 | 262,142 |
| 117 | 53.208.0.0/14 | 53.208.0.1 to 53.211.255.254 | 53.211.255.255 | 262,142 |
| 118 | 53.212.0.0/14 | 53.212.0.1 to 53.215.255.254 | 53.215.255.255 | 262,142 |
| 119 | 53.216.0.0/14 | 53.216.0.1 to 53.219.255.254 | 53.219.255.255 | 262,142 |
| 120 | 53.220.0.0/14 | 53.220.0.1 to 53.223.255.254 | 53.223.255.255 | 262,142 |
| 121 | 53.224.0.0/14 | 53.224.0.1 to 53.227.255.254 | 53.227.255.255 | 262,142 |
| 122 | 53.228.0.0/14 | 53.228.0.1 to 53.231.255.254 | 53.231.255.255 | 262,142 |
| 123 | 53.232.0.0/14 | 53.232.0.1 to 53.235.255.254 | 53.235.255.255 | 262,142 |
| 124 | 53.236.0.0/14 | 53.236.0.1 to 53.239.255.254 | 53.239.255.255 | 262,142 |
| 125 | 53.240.0.0/14 | 53.240.0.1 to 53.243.255.254 | 53.243.255.255 | 262,142 |
| 126 | 53.244.0.0/14 | 53.244.0.1 to 53.247.255.254 | 53.247.255.255 | 262,142 |
| 127 | 53.248.0.0/14 | 53.248.0.1 to 53.251.255.254 | 53.251.255.255 | 262,142 |
| 128 | 53.252.0.0/14 | 53.252.0.1 to 53.255.255.254 | 53.255.255.255 | 262,142 |
| 129 | 54.0.0.0/14 | 54.0.0.1 to 54.3.255.254 | 54.3.255.255 | 262,142 |
| 130 | 54.4.0.0/14 | 54.4.0.1 to 54.7.255.254 | 54.7.255.255 | 262,142 |
| 131 | 54.8.0.0/14 | 54.8.0.1 to 54.11.255.254 | 54.11.255.255 | 262,142 |
| 132 | 54.12.0.0/14 | 54.12.0.1 to 54.15.255.254 | 54.15.255.255 | 262,142 |
| 133 | 54.16.0.0/14 | 54.16.0.1 to 54.19.255.254 | 54.19.255.255 | 262,142 |
| 134 | 54.20.0.0/14 | 54.20.0.1 to 54.23.255.254 | 54.23.255.255 | 262,142 |
| 135 | 54.24.0.0/14 | 54.24.0.1 to 54.27.255.254 | 54.27.255.255 | 262,142 |
| 136 | 54.28.0.0/14 | 54.28.0.1 to 54.31.255.254 | 54.31.255.255 | 262,142 |
| 137 | 54.32.0.0/14 | 54.32.0.1 to 54.35.255.254 | 54.35.255.255 | 262,142 |
| 138 | 54.36.0.0/14 | 54.36.0.1 to 54.39.255.254 | 54.39.255.255 | 262,142 |
| 139 | 54.40.0.0/14 | 54.40.0.1 to 54.43.255.254 | 54.43.255.255 | 262,142 |
| 140 | 54.44.0.0/14 | 54.44.0.1 to 54.47.255.254 | 54.47.255.255 | 262,142 |
| 141 | 54.48.0.0/14 | 54.48.0.1 to 54.51.255.254 | 54.51.255.255 | 262,142 |
| 142 | 54.52.0.0/14 | 54.52.0.1 to 54.55.255.254 | 54.55.255.255 | 262,142 |
| 143 | 54.56.0.0/14 | 54.56.0.1 to 54.59.255.254 | 54.59.255.255 | 262,142 |
| 144 | 54.60.0.0/14 | 54.60.0.1 to 54.63.255.254 | 54.63.255.255 | 262,142 |
| 145 | 54.64.0.0/14 | 54.64.0.1 to 54.67.255.254 | 54.67.255.255 | 262,142 |
| 146 | 54.68.0.0/14 | 54.68.0.1 to 54.71.255.254 | 54.71.255.255 | 262,142 |
| 147 | 54.72.0.0/14 | 54.72.0.1 to 54.75.255.254 | 54.75.255.255 | 262,142 |
| 148 | 54.76.0.0/14 | 54.76.0.1 to 54.79.255.254 | 54.79.255.255 | 262,142 |
| 149 | 54.80.0.0/14 | 54.80.0.1 to 54.83.255.254 | 54.83.255.255 | 262,142 |
| 150 | 54.84.0.0/14 | 54.84.0.1 to 54.87.255.254 | 54.87.255.255 | 262,142 |
| 151 | 54.88.0.0/14 | 54.88.0.1 to 54.91.255.254 | 54.91.255.255 | 262,142 |
| 152 | 54.92.0.0/14 | 54.92.0.1 to 54.95.255.254 | 54.95.255.255 | 262,142 |
| 153 | 54.96.0.0/14 | 54.96.0.1 to 54.99.255.254 | 54.99.255.255 | 262,142 |
| 154 | 54.100.0.0/14 | 54.100.0.1 to 54.103.255.254 | 54.103.255.255 | 262,142 |
| 155 | 54.104.0.0/14 | 54.104.0.1 to 54.107.255.254 | 54.107.255.255 | 262,142 |
| 156 | 54.108.0.0/14 | 54.108.0.1 to 54.111.255.254 | 54.111.255.255 | 262,142 |
| 157 | 54.112.0.0/14 | 54.112.0.1 to 54.115.255.254 | 54.115.255.255 | 262,142 |
| 158 | 54.116.0.0/14 | 54.116.0.1 to 54.119.255.254 | 54.119.255.255 | 262,142 |
| 159 | 54.120.0.0/14 | 54.120.0.1 to 54.123.255.254 | 54.123.255.255 | 262,142 |
| 160 | 54.124.0.0/14 | 54.124.0.1 to 54.127.255.254 | 54.127.255.255 | 262,142 |
| 161 | 54.128.0.0/14 | 54.128.0.1 to 54.131.255.254 | 54.131.255.255 | 262,142 |
| 162 | 54.132.0.0/14 | 54.132.0.1 to 54.135.255.254 | 54.135.255.255 | 262,142 |
| 163 | 54.136.0.0/14 | 54.136.0.1 to 54.139.255.254 | 54.139.255.255 | 262,142 |
| 164 | 54.140.0.0/14 | 54.140.0.1 to 54.143.255.254 | 54.143.255.255 | 262,142 |
| 165 | 54.144.0.0/14 | 54.144.0.1 to 54.147.255.254 | 54.147.255.255 | 262,142 |
| 166 | 54.148.0.0/14 | 54.148.0.1 to 54.151.255.254 | 54.151.255.255 | 262,142 |
| 167 | 54.152.0.0/14 | 54.152.0.1 to 54.155.255.254 | 54.155.255.255 | 262,142 |
| 168 | 54.156.0.0/14 | 54.156.0.1 to 54.159.255.254 | 54.159.255.255 | 262,142 |
| 169 | 54.160.0.0/14 | 54.160.0.1 to 54.163.255.254 | 54.163.255.255 | 262,142 |
| 170 | 54.164.0.0/14 | 54.164.0.1 to 54.167.255.254 | 54.167.255.255 | 262,142 |
| 171 | 54.168.0.0/14 | 54.168.0.1 to 54.171.255.254 | 54.171.255.255 | 262,142 |
| 172 | 54.172.0.0/14 | 54.172.0.1 to 54.175.255.254 | 54.175.255.255 | 262,142 |
| 173 | 54.176.0.0/14 | 54.176.0.1 to 54.179.255.254 | 54.179.255.255 | 262,142 |
| 174 | 54.180.0.0/14 | 54.180.0.1 to 54.183.255.254 | 54.183.255.255 | 262,142 |
| 175 | 54.184.0.0/14 | 54.184.0.1 to 54.187.255.254 | 54.187.255.255 | 262,142 |
| 176 | 54.188.0.0/14 | 54.188.0.1 to 54.191.255.254 | 54.191.255.255 | 262,142 |
| 177 | 54.192.0.0/14 | 54.192.0.1 to 54.195.255.254 | 54.195.255.255 | 262,142 |
| 178 | 54.196.0.0/14 | 54.196.0.1 to 54.199.255.254 | 54.199.255.255 | 262,142 |
| 179 | 54.200.0.0/14 | 54.200.0.1 to 54.203.255.254 | 54.203.255.255 | 262,142 |
| 180 | 54.204.0.0/14 | 54.204.0.1 to 54.207.255.254 | 54.207.255.255 | 262,142 |
| 181 | 54.208.0.0/14 | 54.208.0.1 to 54.211.255.254 | 54.211.255.255 | 262,142 |
| 182 | 54.212.0.0/14 | 54.212.0.1 to 54.215.255.254 | 54.215.255.255 | 262,142 |
| 183 | 54.216.0.0/14 | 54.216.0.1 to 54.219.255.254 | 54.219.255.255 | 262,142 |
| 184 | 54.220.0.0/14 | 54.220.0.1 to 54.223.255.254 | 54.223.255.255 | 262,142 |
| 185 | 54.224.0.0/14 | 54.224.0.1 to 54.227.255.254 | 54.227.255.255 | 262,142 |
| 186 | 54.228.0.0/14 | 54.228.0.1 to 54.231.255.254 | 54.231.255.255 | 262,142 |
| 187 | 54.232.0.0/14 | 54.232.0.1 to 54.235.255.254 | 54.235.255.255 | 262,142 |
| 188 | 54.236.0.0/14 | 54.236.0.1 to 54.239.255.254 | 54.239.255.255 | 262,142 |
| 189 | 54.240.0.0/14 | 54.240.0.1 to 54.243.255.254 | 54.243.255.255 | 262,142 |
| 190 | 54.244.0.0/14 | 54.244.0.1 to 54.247.255.254 | 54.247.255.255 | 262,142 |
| 191 | 54.248.0.0/14 | 54.248.0.1 to 54.251.255.254 | 54.251.255.255 | 262,142 |
| 192 | 54.252.0.0/14 | 54.252.0.1 to 54.255.255.254 | 54.255.255.255 | 262,142 |
| 193 | 55.0.0.0/14 | 55.0.0.1 to 55.3.255.254 | 55.3.255.255 | 262,142 |
| 194 | 55.4.0.0/14 | 55.4.0.1 to 55.7.255.254 | 55.7.255.255 | 262,142 |
| 195 | 55.8.0.0/14 | 55.8.0.1 to 55.11.255.254 | 55.11.255.255 | 262,142 |
| 196 | 55.12.0.0/14 | 55.12.0.1 to 55.15.255.254 | 55.15.255.255 | 262,142 |
| 197 | 55.16.0.0/14 | 55.16.0.1 to 55.19.255.254 | 55.19.255.255 | 262,142 |
| 198 | 55.20.0.0/14 | 55.20.0.1 to 55.23.255.254 | 55.23.255.255 | 262,142 |
| 199 | 55.24.0.0/14 | 55.24.0.1 to 55.27.255.254 | 55.27.255.255 | 262,142 |
| 200 | 55.28.0.0/14 | 55.28.0.1 to 55.31.255.254 | 55.31.255.255 | 262,142 |
| 201 | 55.32.0.0/14 | 55.32.0.1 to 55.35.255.254 | 55.35.255.255 | 262,142 |
| 202 | 55.36.0.0/14 | 55.36.0.1 to 55.39.255.254 | 55.39.255.255 | 262,142 |
| 203 | 55.40.0.0/14 | 55.40.0.1 to 55.43.255.254 | 55.43.255.255 | 262,142 |
| 204 | 55.44.0.0/14 | 55.44.0.1 to 55.47.255.254 | 55.47.255.255 | 262,142 |
| 205 | 55.48.0.0/14 | 55.48.0.1 to 55.51.255.254 | 55.51.255.255 | 262,142 |
| 206 | 55.52.0.0/14 | 55.52.0.1 to 55.55.255.254 | 55.55.255.255 | 262,142 |
| 207 | 55.56.0.0/14 | 55.56.0.1 to 55.59.255.254 | 55.59.255.255 | 262,142 |
| 208 | 55.60.0.0/14 | 55.60.0.1 to 55.63.255.254 | 55.63.255.255 | 262,142 |
| 209 | 55.64.0.0/14 | 55.64.0.1 to 55.67.255.254 | 55.67.255.255 | 262,142 |
| 210 | 55.68.0.0/14 | 55.68.0.1 to 55.71.255.254 | 55.71.255.255 | 262,142 |
| 211 | 55.72.0.0/14 | 55.72.0.1 to 55.75.255.254 | 55.75.255.255 | 262,142 |
| 212 | 55.76.0.0/14 | 55.76.0.1 to 55.79.255.254 | 55.79.255.255 | 262,142 |
| 213 | 55.80.0.0/14 | 55.80.0.1 to 55.83.255.254 | 55.83.255.255 | 262,142 |
| 214 | 55.84.0.0/14 | 55.84.0.1 to 55.87.255.254 | 55.87.255.255 | 262,142 |
| 215 | 55.88.0.0/14 | 55.88.0.1 to 55.91.255.254 | 55.91.255.255 | 262,142 |
| 216 | 55.92.0.0/14 | 55.92.0.1 to 55.95.255.254 | 55.95.255.255 | 262,142 |
| 217 | 55.96.0.0/14 | 55.96.0.1 to 55.99.255.254 | 55.99.255.255 | 262,142 |
| 218 | 55.100.0.0/14 | 55.100.0.1 to 55.103.255.254 | 55.103.255.255 | 262,142 |
| 219 | 55.104.0.0/14 | 55.104.0.1 to 55.107.255.254 | 55.107.255.255 | 262,142 |
| 220 | 55.108.0.0/14 | 55.108.0.1 to 55.111.255.254 | 55.111.255.255 | 262,142 |
| 221 | 55.112.0.0/14 | 55.112.0.1 to 55.115.255.254 | 55.115.255.255 | 262,142 |
| 222 | 55.116.0.0/14 | 55.116.0.1 to 55.119.255.254 | 55.119.255.255 | 262,142 |
| 223 | 55.120.0.0/14 | 55.120.0.1 to 55.123.255.254 | 55.123.255.255 | 262,142 |
| 224 | 55.124.0.0/14 | 55.124.0.1 to 55.127.255.254 | 55.127.255.255 | 262,142 |
| 225 | 55.128.0.0/14 | 55.128.0.1 to 55.131.255.254 | 55.131.255.255 | 262,142 |
| 226 | 55.132.0.0/14 | 55.132.0.1 to 55.135.255.254 | 55.135.255.255 | 262,142 |
| 227 | 55.136.0.0/14 | 55.136.0.1 to 55.139.255.254 | 55.139.255.255 | 262,142 |
| 228 | 55.140.0.0/14 | 55.140.0.1 to 55.143.255.254 | 55.143.255.255 | 262,142 |
| 229 | 55.144.0.0/14 | 55.144.0.1 to 55.147.255.254 | 55.147.255.255 | 262,142 |
| 230 | 55.148.0.0/14 | 55.148.0.1 to 55.151.255.254 | 55.151.255.255 | 262,142 |
| 231 | 55.152.0.0/14 | 55.152.0.1 to 55.155.255.254 | 55.155.255.255 | 262,142 |
| 232 | 55.156.0.0/14 | 55.156.0.1 to 55.159.255.254 | 55.159.255.255 | 262,142 |
| 233 | 55.160.0.0/14 | 55.160.0.1 to 55.163.255.254 | 55.163.255.255 | 262,142 |
| 234 | 55.164.0.0/14 | 55.164.0.1 to 55.167.255.254 | 55.167.255.255 | 262,142 |
| 235 | 55.168.0.0/14 | 55.168.0.1 to 55.171.255.254 | 55.171.255.255 | 262,142 |
| 236 | 55.172.0.0/14 | 55.172.0.1 to 55.175.255.254 | 55.175.255.255 | 262,142 |
| 237 | 55.176.0.0/14 | 55.176.0.1 to 55.179.255.254 | 55.179.255.255 | 262,142 |
| 238 | 55.180.0.0/14 | 55.180.0.1 to 55.183.255.254 | 55.183.255.255 | 262,142 |
| 239 | 55.184.0.0/14 | 55.184.0.1 to 55.187.255.254 | 55.187.255.255 | 262,142 |
| 240 | 55.188.0.0/14 | 55.188.0.1 to 55.191.255.254 | 55.191.255.255 | 262,142 |
| 241 | 55.192.0.0/14 | 55.192.0.1 to 55.195.255.254 | 55.195.255.255 | 262,142 |
| 242 | 55.196.0.0/14 | 55.196.0.1 to 55.199.255.254 | 55.199.255.255 | 262,142 |
| 243 | 55.200.0.0/14 | 55.200.0.1 to 55.203.255.254 | 55.203.255.255 | 262,142 |
| 244 | 55.204.0.0/14 | 55.204.0.1 to 55.207.255.254 | 55.207.255.255 | 262,142 |
| 245 | 55.208.0.0/14 | 55.208.0.1 to 55.211.255.254 | 55.211.255.255 | 262,142 |
| 246 | 55.212.0.0/14 | 55.212.0.1 to 55.215.255.254 | 55.215.255.255 | 262,142 |
| 247 | 55.216.0.0/14 | 55.216.0.1 to 55.219.255.254 | 55.219.255.255 | 262,142 |
| 248 | 55.220.0.0/14 | 55.220.0.1 to 55.223.255.254 | 55.223.255.255 | 262,142 |
| 249 | 55.224.0.0/14 | 55.224.0.1 to 55.227.255.254 | 55.227.255.255 | 262,142 |
| 250 | 55.228.0.0/14 | 55.228.0.1 to 55.231.255.254 | 55.231.255.255 | 262,142 |
| 251 | 55.232.0.0/14 | 55.232.0.1 to 55.235.255.254 | 55.235.255.255 | 262,142 |
| 252 | 55.236.0.0/14 | 55.236.0.1 to 55.239.255.254 | 55.239.255.255 | 262,142 |
| 253 | 55.240.0.0/14 | 55.240.0.1 to 55.243.255.254 | 55.243.255.255 | 262,142 |
| 254 | 55.244.0.0/14 | 55.244.0.1 to 55.247.255.254 | 55.247.255.255 | 262,142 |
| 255 | 55.248.0.0/14 | 55.248.0.1 to 55.251.255.254 | 55.251.255.255 | 262,142 |
| 256 | 55.252.0.0/14 | 55.252.0.1 to 55.255.255.254 | 55.255.255.255 | 262,142 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |